Functions
IT_Management
Peripheral Driver » LL Driver » DUAL_TIMER » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_dual_timer_enable_it (dual_timer_regs_t *DUAL_TIMERx)
| Enable dual_timer interrupt. More...
__STATIC_INLINE void | ll_dual_timer_disable_it (dual_timer_regs_t *DUAL_TIMERx)
| Disable dual_timer interrput. More...
__STATIC_INLINE uint32_t | ll_dual_timer_is_enabled_it (dual_timer_regs_t *DUAL_TIMERx)
| Indicate whether the dual_timer interrput is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_dual_timer_disable_it()

__STATIC_INLINE void ll_dual_timer_disable_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Disable dual_timer interrput.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | INTEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 579 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_enable_it()

__STATIC_INLINE void ll_dual_timer_enable_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Enable dual_timer interrupt.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | INTEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  None |

Definition at line 560 of file gr55xx_ll_dual_tim.h.

## ◆ ll_dual_timer_is_enabled_it()

__STATIC_INLINE uint32_t ll_dual_timer_is_enabled_it | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

Indicate whether the dual_timer interrput is enabled.

\rst +-------------------—+--------------------------------—+ | Register | BitsName | +======================+===================================+ | CTRL | INTEN | +-------------------—+--------------------------------—+ \endrst

Parameters

  DUAL_TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 598 of file gr55xx_ll_dual_tim.h.